.btn {
  @apply px-8 py-2.5 shadow font-bold text-white rounded-full transition duration-200 ease-in-out;
  @apply bg-gradient-to-b from-gnome-blue-400 to-gnome-blue-500;
  
  &:hover,
  &:focus {
    @apply shadow-lg;
    @apply text-white;
    @apply scale-105 transition duration-200 ease-in-out;
  }

  &:active {
    @apply ring-1 ring-black ring-opacity-5;
  }

  &.red {
    @apply bg-gradient-to-b from-red-400 to-red-500;
  }

  &.gray {
    @apply bg-gradient-to-b from-gray-400 to-gray-500;
  }

  &.green {
    @apply bg-gradient-to-b from-green-400 to-green-500;
  }

  &.yellow {
    @apply bg-gradient-to-b from-yellow-400 to-yellow-500;
  }

  &.purple {
    @apply bg-gradient-to-b from-purple-400 to-purple-500;
  }

  &.brown {
    @apply bg-gradient-to-b from-brown-400 to-brown-500;
  }

  &.orange {
    @apply bg-gradient-to-b from-orange-400 to-orange-500;
  }

  &.outlined {
    @apply bg-gradient-to-l from-transparent to-transparent;
    @apply border-solid border-3;

    &:hover,
    &:active,
    &:focus {
      @apply border-current;
    }
    
    &.outlined.blue { 
      @apply text-gnome-blue-500 border-gnome-blue-500; 

      &:hover,
      &:active,
      &:focus {
        @apply bg-gnome-blue-500 text-white;
      }
    }

    &.outlined.red {
      @apply text-red-500 border-red-500;

      &:hover,
      &:active,
      &:focus {
        @apply bg-red-500 text-white;
      }
    }

    &.outlined.gray {
      @apply text-gray-500 border-gray-500;

      &:hover,
      &:active,
      &:focus {
        @apply bg-gray-500 text-white;
      }
    }

    &.outlined.green {
      @apply text-green-500 border-green-500;

      &:hover,
      &:active,
      &:focus {
        @apply bg-green-500 text-white;
      }
    }

    &.outlined.yellow {
      @apply text-yellow-500 border-yellow-500;

      &:hover,
      &:active,
      &:focus {
        @apply bg-yellow-500 text-white;
      }
    }

    &.outlined.purple {
      @apply text-purple-500 border-purple-500;

      &:hover,
      &:active,
      &:focus {
        @apply bg-purple-500 text-white;
      }
    }

    &.outlined.brown {
      @apply text-brown-500 border-brown-500;

      &:hover,
      &:active,
      &:focus {
        @apply bg-brown-500 text-white;
      }
    }

    &.outlined.orange {
      @apply text-orange-500 border-orange-500;

      &:hover,
      &:active,
      &:focus {
        @apply bg-orange-500 text-white;
      }
    }
  }

  &.squared {
    @apply rounded-none;
  }

  &.small {
    @apply px-8 py-2.5 w-min;
  }

  &.large {
    @apply px-16 py-5 text-lg;
  }

  &.disabled {
    @apply bg-gray-200;
    @apply text-gray-800 shadow-none cursor-not-allowed;

    &:hover,
    &:active,
    &:focus {
      @apply shadow-none text-gray-800;
      @apply bg-gray-200;
    }
  }
}
